View Issue Details

IDProjectCategoryView StatusLast Update
13473Bug reports[All Projects] Survey takingpublic2018-03-15 13:40
ReporteroleggorfinkelAssigned Tomarkusfluer 
PrioritynoneSeveritycrash 
Status closedResolutionreopened 
Product Version 
Target VersionFixed in Version3.5.x 
Summary13473: Serious issue: use of exclusive option hangs browser page
DescriptionWhen a respondent selects the "exclusive" checkbox in a "Multiple-choice with comments" type question, the browser page hangs (see attached screenshot -- the faulty checkbox is the last one on the list).

I have verified that this issue exists in the latest release, v3.5.1+180312. This did NOT happen on the previous version I was using, v2.71.

I have found a workaround for now: removing the exclusive option definition gets the survey working again, albeit with a somewhat faulty logic (the respondents can now select a positive response and a "none" option at the same time).
Steps To ReproduceSee the description.
Additional InformationSee attached the question definition that causes the problem.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.1+180312
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 10.0.30-MariaDB-cll-lve
Operating System (Server)linux
Webserver software & versionApache Version 2.4.18
PHP Version5.5.36

Activities

oleggorfinkel

oleggorfinkel

2018-03-13 16:50

reporter  

2018-03-13 08_03_15-Bitácora de Práctica Personal.png (306,917 bytes)
limesurvey_question_6938.lsq (8,146 bytes)
tpartner

tpartner

2018-03-13 21:27

developer   ~47038

Last edited: 2018-03-13 21:28

View 2 revisions

I can confirm - fatal JS error (loop) - survey_runtime.js, line 129.

olle

olle

2018-03-14 13:55

administrator   ~47039

Does this happen even with Ajax mode turned off?
tpartner

tpartner

2018-03-14 14:22

developer   ~47040

@olle, yep.
tpartner

tpartner

2018-03-14 17:50

developer   ~47049

@markusfluer, I am still encountering this problem after a fresh pull via GIT.

Tested in Firefox and Chrome, completely cleared cache, incognito browsers, etc.
tpartner

tpartner

2018-03-14 17:55

developer  

capture-3.png (75,389 bytes)
capture-3.png (75,389 bytes)
markusfluer

markusfluer

2018-03-14 18:21

developer   ~47052

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26752
tpartner

tpartner

2018-03-14 18:40

developer   ~47055

@markusfluer, confirmed. Thanks.
oleggorfinkel

oleggorfinkel

2018-03-14 19:41

reporter   ~47057

How will I know which build has the fix? Thanks!
tpartner

tpartner

2018-03-14 19:52

developer   ~47058

Last edited: 2018-03-14 19:52

View 3 revisions

In the next release - 3.5.2

In the meantime, you can manually make the fix changes on your server - https://github.com/LimeSurvey/LimeSurvey/commit/044d56a339a4300b6f25fe0ddb5974ce4246aacf

(ALWAYS backup first)

Related Changesets

LimeSurvey: master 044d56a3

2018-03-14 16:56:07

markusfluer

Details Diff
Fixed issue 13473: Serious issue: use of exclusive option hangs browser page
mod - .gitignore Diff File
mod - assets/packages/limesurvey/survey.js Diff File

Issue History

Date Modified Username Field Change
2018-03-13 16:50 oleggorfinkel New Issue
2018-03-13 16:50 oleggorfinkel File Added: 2018-03-13 08_03_15-Bitácora de Práctica Personal.png
2018-03-13 16:50 oleggorfinkel File Added: limesurvey_question_6938.lsq
2018-03-13 21:27 tpartner Note Added: 47038
2018-03-13 21:28 tpartner Note Edited: 47038 View Revisions
2018-03-14 13:55 olle Note Added: 47039
2018-03-14 14:22 tpartner Note Added: 47040
2018-03-14 16:56 markusfluer Assigned To => markusfluer
2018-03-14 16:56 markusfluer Status new => resolved
2018-03-14 16:56 markusfluer Resolution open => fixed
2018-03-14 16:56 markusfluer Fixed in Version => 3.5.x
2018-03-14 17:50 tpartner Status resolved => feedback
2018-03-14 17:50 tpartner Resolution fixed => reopened
2018-03-14 17:50 tpartner Note Added: 47049
2018-03-14 17:55 tpartner File Added: capture-3.png
2018-03-14 18:21 markusfluer Changeset attached => LimeSurvey master 044d56a3
2018-03-14 18:21 markusfluer Note Added: 47052
2018-03-14 18:40 tpartner Note Added: 47055
2018-03-14 19:41 oleggorfinkel Note Added: 47057
2018-03-14 19:41 oleggorfinkel Status feedback => assigned
2018-03-14 19:52 tpartner Note Added: 47058
2018-03-14 19:52 tpartner Note Edited: 47058 View Revisions
2018-03-14 19:52 tpartner Note Edited: 47058 View Revisions
2018-03-15 10:33 c_schmitz Status assigned => resolved
2018-03-15 13:40 olle Status resolved => closed